<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="laporan_reject_item" pageWidth="1133" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="1093" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" whenResourceMissingType="Empty" isIgnorePagination="true" uuid="cba5f4c5-4f1c-4390-b094-4907ffbf5835">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="SBSServer"/>
	<property name="com.jaspersoft.studio.unit." value="cm"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="cm"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="cm"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="cm"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="cm"/>
	<parameter name="tipe" class="java.lang.String"/>
	<parameter name="status" class="java.lang.Integer"/>
	<parameter name="from" class="java.lang.String"/>
	<parameter name="thru" class="java.lang.String"/>
	<parameter name="pic" class="java.lang.String"/>
	<queryString>
		<![CDATA[select
					a.nopurchaseorder as nopp,
					a.apppembelian as pic,
					f.dtcreate as tglreg,
					b.codeproduk as pcode,
					b.produkname as pname,
					b.qty,
					b.unit as uom,
					b.rejectnote,
					d.dtfrom as tglsts
					from purchase_orders a
					join purchase_order_item b on a.idpurchaseorder = b.idpurchaseorder
					join purchase_orders_status c on a.idpurchaseorder = c.idpurchaseorder
					join purchase_order_item_status d on b.idpurorditem = d.idpurorditem
					join registerpp_detail e on a.idpurchaseorder = e.idpurchaseorder
					join registerpp f on e.idregis = f.idregister
					where 
					d.dtfrom between $P{from} and $P{thru}
					and c.dtfrom <= GETDATE() and GETDATE() <= c.dtthru 
					and d.dtfrom <= GETDATE() and GETDATE() <= d.dtthru 
					and a.apppembelian like  '%$P!{pic}%'
					and b.status = $P{status}
					order by a.dtcreateby]]>
	</queryString>
	<field name="nopp" class="java.lang.String"/>
	<field name="pic" class="java.lang.String"/>
	<field name="tglreg" class="java.sql.Timestamp"/>
	<field name="pcode" class="java.lang.String"/>
	<field name="pname" class="java.lang.String"/>
	<field name="qty" class="java.math.BigDecimal"/>
	<field name="rejectnote" class="java.lang.String"/>
	<field name="uom" class="java.lang.String"/>
	<field name="tglsts" class="java.sql.Timestamp"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="70" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="321" height="30" uuid="e7cb4e23-72b6-4086-9692-a8b43ccf06ed"/>
				<textElement>
					<font fontName="Courier" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Laporan " + $P{tipe}]]></textFieldExpression>
			</textField>
			<textField pattern="MMMMM dd, yyyy">
				<reportElement x="0" y="30" width="321" height="30" uuid="c4ae2369-0209-48ce-ad80-445bad05b016"/>
				<textElement>
					<font fontName="Courier" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Tanggal Cetak " +new SimpleDateFormat("dd MMMM yyyy", new java.util.Locale("id")).format(new java.util.Date())]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<columnHeader>
		<band height="30" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="162" height="30" uuid="2c33a568-c66d-41e0-a223-bb4c1a379887">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="2578a3cf-53a7-4996-a1f3-e3fa503852bd"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<text><![CDATA[No PP]]></text>
			</staticText>
			<staticText>
				<reportElement x="340" y="0" width="120" height="30" uuid="18ea429c-36a4-4e6e-a37a-ed440ab58568">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="dcb641c9-99d4-41aa-a979-2230f14975e3"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<text><![CDATA[Kode Bahan]]></text>
			</staticText>
			<staticText>
				<reportElement x="520" y="0" width="160" height="30" uuid="d03d9880-f9e9-43ce-85a5-439fea879f90">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ffe7078d-f249-4aea-a92b-a28c4c098c8f"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<text><![CDATA[Nama Bahan]]></text>
			</staticText>
			<staticText>
				<reportElement x="680" y="0" width="82" height="30" uuid="d33074f2-6d23-42a0-8600-c2aa8ca8d2af">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b7cd4dc4-1fe3-4a7c-aca6-d9922655dcee"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<text><![CDATA[Kuantitas]]></text>
			</staticText>
			<staticText>
				<reportElement x="870" y="0" width="212" height="30" uuid="d778d583-da82-4f0e-87c1-d31e9bf7257b">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="83641e7b-ece7-441f-85b4-54990e6e24b2"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<text><![CDATA[Keterangan]]></text>
			</staticText>
			<staticText>
				<reportElement x="162" y="0" width="78" height="30" uuid="d1190a54-ad02-413f-861e-2c97f4732551">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="457977d7-4ac7-4d19-9d11-2dd22b9dad1f"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<text><![CDATA[PIC]]></text>
			</staticText>
			<staticText>
				<reportElement x="240" y="0" width="100" height="30" uuid="9ebc7253-49f0-4bc3-854f-d62d9609acb9">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="e34261b0-9cf6-407c-884e-e68cd951bffb"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<text><![CDATA[Tanggal Register]]></text>
			</staticText>
			<staticText>
				<reportElement x="460" y="0" width="60" height="30" uuid="9da094c6-f2ec-47bd-b012-341f3d9cf6d4">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d04858d7-82a4-4e2f-866f-c9e71b320a3e"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<text><![CDATA[Satuan]]></text>
			</staticText>
			<textField>
				<reportElement x="762" y="0" width="108" height="30" uuid="dae1d9fe-0158-4f57-8379-5575280f8e0a"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier" size="10" isBold="false"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA["Tanggal " + $P{tipe}]]></textFieldExpression>
			</textField>
		</band>
	</columnHeader>
	<detail>
		<band height="30" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="0" y="0" width="162" height="30" uuid="36ca8e3f-e296-46a4-b308-75ec9ac7268c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="2578a3cf-53a7-4996-a1f3-e3fa503852bd"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nopp}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="340" y="0" width="120" height="30" uuid="2d115681-633f-4f12-8dd3-c4c097acd5d2">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="dcb641c9-99d4-41aa-a979-2230f14975e3"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{pcode}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="520" y="0" width="160" height="30" uuid="83bb20dc-091c-4ac7-b571-b43cbc0c0e00">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ffe7078d-f249-4aea-a92b-a28c4c098c8f"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{pname}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="680" y="0" width="82" height="30" uuid="cfb1a5e8-5df8-4c8c-9611-2144819d283f">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b7cd4dc4-1fe3-4a7c-aca6-d9922655dcee"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qty}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="870" y="0" width="212" height="30" uuid="42727433-f4d9-4ac8-8e4c-49b9631b0465">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="83641e7b-ece7-441f-85b4-54990e6e24b2"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{rejectnote}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement stretchType="RelativeToBandHeight" x="162" y="0" width="78" height="30" uuid="b2fa7e80-f6c7-49e4-ae13-a22270f19872">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="457977d7-4ac7-4d19-9d11-2dd22b9dad1f"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{pic}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="240" y="0" width="100" height="30" uuid="ec3297bd-e8ae-400d-b13c-c8778748950d">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="e34261b0-9cf6-407c-884e-e68cd951bffb"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA[new SimpleDateFormat("d/MM/yy HH:mm", new java.util.Locale("id")).format($F{tglreg})]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="460" y="0" width="60" height="30" uuid="903ef2fb-1305-4b98-a615-f082bec9c324">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d04858d7-82a4-4e2f-866f-c9e71b320a3e"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{uom}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="762" y="0" width="108" height="30" uuid="397bb38e-d343-44ad-adaa-653b518f71d5">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b1ca98d2-7f0f-49e5-8a5c-c14b8689e264"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Courier"/>
					<paragraph leftIndent="3"/>
				</textElement>
				<textFieldExpression><![CDATA[new SimpleDateFormat("d/MM/yy HH:mm", new java.util.Locale("id")).format($F{tglsts})]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
